%global momorel 1
%global md5sum_src0 32ec9e93760f956ce6979992b3d798d7
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global patch_ver 0.1.1

Summary:	Kerry is a KDE frontend for Beagle
Name:		kerry
Version:	0.1.91
Release:	%{momorel}m
License:	GPL
URL:		http://en.opensuse.org/Kerry
Group:		User Interface/Desktops
%NoSource 0	http://developer.kde.org/~binner/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	beagle >= 0.2.5
BuildPreReq:	qt-devel >= 3.3
BuildPreReq:	kdelibs-devel >= 3.4
BuildPreReq:	libbeagle-devel
BuildPreReq:	desktop-file-utils >= 0.10

%description
A desktop search tool integrated with Beagle and KDE.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --with-qt-dir=%{qtdir} \
            --with-qt-includes=%{qtdir}/include \
            --with-qt-libraries=%{qtdir}/lib \
            --enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
            --enable-gcc-hidden-visibility \
%endif
            --disable-debug \
            --disable-warnings \
            --disable-rpath

%make
make check

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

#compile and install .po files
pushd po
make
make install DESTDIR=%{buildroot}
popd

# move shutdown.sh
mv %{buildroot}/usr/shutdown/beagled-shutdown.sh %{buildroot}/%{_bindir}
rm -rf %{buildroot}/usr/shutdown

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Core \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/kde/kerry.desktop

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/beagled-shutdown.sh
%{_bindir}/kerry
%{_libdir}/kde3/kerry.la
%{_libdir}/kde3/kerry.so
%{_libdir}/libkdeinit_kerry.la
%{_libdir}/libkdeinit_kerry.so
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/kerry.desktop
%{_datadir}/autostart/beagled.desktop
%{_datadir}/autostart/kerry.autostart.desktop
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/kerry.mo

%changelog
* Sun Oct  1 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.91-1m)
- update to 0.1.91
- delete unused patch0

* Sat Jul  8 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.90-1m)
- update to 0.1.90 (0.2 beta)

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- modify %%files

* Thu Jun  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.1-1m)
- initial build for Momonga Linux
